<template>
	<u-navbar
		:title="title"
		left-icon="arrow-left"
		:placeholder="true"
		:fixed="true"
		:border="true"
		:auto-back="false"
		@left-click="handleBack"
	/>
</template>

<script setup>
import { smartNavigateBack } from '@/utils/navBack'

defineProps({
	title: {
		type: String,
		default: ''
	}
})

function handleBack() {
  smartNavigateBack()
}
</script>
